extends Node2D

@onready var camera = get_node("Camera2D")
@onready var player = get_node("Player")
@onready var npc_one = get_node("NPCOne")
@onready var npc_two = get_node("NPCOne2")
@onready var dialoguePopup = get_node("DialogOne")


# Called when the node enters the scene tree for the first time.
func _ready():
	Global.current_start_position = player.position
	Global.beachFound = true
	player.get_node("FacePolygon").set_color(Global.playerFaceColor)

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(_delta):
	if player.position.y >= 1100:
		player.position = Global.current_start_position

	if player.position.x >= 1790 and Global.runCut1:
		Global.pause = true
		run_cut_1()
		Global.runCut1 = false
		
	if player.position.x >= 3315 and player.position.y <= 350:
		Global.goto_scene("res://levels/level_one/LevelOne.tscn")

func run_cut_1():
		dialoguePopup.label_set('Red Stranger')
		dialoguePopup.dialogue_set('This must have been the last times.')
		npc_one.get_node("FacePolygon").set_color(Color('#0000ff'))
		npc_two.get_node("FacePolygon").set_color(Color('#ff0000'))
		npc_one.stand_stil()
		npc_two.stand_stil()
		npc_two.looking_right = false
		npc_two.show()
		npc_one.show()
		while camera.position.x < 2110:
			await get_tree().create_timer(0.0001).timeout
			camera.position.x = camera.position.x + 5
		camera.position.x = 2110
		dialoguePopup.open()
		await get_tree().create_timer(3).timeout
		dialoguePopup.close()
		await get_tree().create_timer(1).timeout
		npc_two.run_right()
		await get_tree().create_timer(1).timeout
		npc_two.hide()
		npc_one.run_right()
		await get_tree().create_timer(1).timeout
		npc_one.hide()
		await get_tree().create_timer(0.5).timeout
		while camera.position.x > player.position.x:
			await get_tree().create_timer(0.0001).timeout
			camera.position.x = camera.position.x - 5
		camera.position.x = player.position.x
		Global.pause = false
		get_tree().queue_delete(npc_two)
		get_tree().queue_delete(npc_one)
