extends Node2D

var portal_scene = preload("res://models/portal/Portal.tscn")

var hiddenPortal : bool = true

@onready var player = get_node("Player")
var start_position = 0
@onready var fp = get_node("Player/FacePolygon")

# Called when the node enters the scene tree for the first time.
func _ready():
	start_position = player.position
	fp.set_color(Global.playerFaceColor)
	Global.townFound = true


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(_delta):
	if player.position.y >= 1100:
		player.position = start_position
		
	if player.position.x >= 7750 and hiddenPortal:
		Global.pause = true
		run_cut_town()
		Global.pause = false

func run_cut_town():
	var portal = portal_scene.instantiate()
	add_child(portal)
	portal.position.x = 7131
	portal.position.y = 789
	portal.goto = "res://levels/city_roof/CityRoof.tscn"
	hiddenPortal = false
	Global.runCutTown = false
