extends Area2D

var pickable = false

@onready var MusicIntro = get_node("/root/MainMenu/BackgroundMusicIntro")
@onready var MusicLoop = get_node("/root/MainMenu/BackgroundMusicLoop")
@onready var MusicOutro = get_node("/root/MainMenu/BackgroundMusicOutro")

# Called when the node enters the scene tree for the first time.
func _ready():
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process (_delta):
	if Input.is_action_just_pressed("quit"):
		quit_with_music()
	if pickable and Input.is_action_just_pressed("ui_accept"):
		quit_with_music()
		pickable = false

func _on_QuitButton_body_entered(body):
	if body.name == "Player": 
		pickable = true

func _on_QuitButton_body_exited(body):
	if body.name == "Player": 
		pickable = false

func _on_Button_pressed():
	quit_with_music()

func quit_with_music():
	Global.pause = true
	if MusicIntro.is_playing():
		print("MusicIntro.is_playing")
		Global.quiting = true
	elif MusicLoop.is_playing():
		print("MusicLoop.is_playing")
		Global.quiting = true
		MusicLoop.stop()
		MusicOutro.play()
	else:
		print("MusicOutro.stop")
		MusicOutro.play()
