extends PopupPanel

var label : set = label_set
var dialogue : set = dialogue_set

var CharactersPerSecond = 100

func label_set(new_value):
	label = new_value
	$ColorRect/Label.text = new_value

func dialogue_set(new_value):
	dialogue = new_value
	$ColorRect/Dialogue.text = new_value

func open():
	get_tree().paused = true
	popup()
	show()
	#createAnimation()
	#$AnimationPlayer.speed_scale = 0.1
	$AnimationPlayer.play("ShowDialogue")

func close():
	get_tree().paused = false
	hide()

func _ready():
	set_process_input(false)
	
func _on_AnimationPlayer_animation_finished(anim_name):
	set_process_input(true)

func createAnimation():
	var animationLength = dialogue.length() / (CharactersPerSecond as float)

	print(animationLength)

	var animation = $AnimationPlayer.get_animation("ShowDialogue")
	animation.clear()

	var trackIdx = animation.add_track(Animation.TYPE_VALUE)
	animation.track_set_path(trackIdx, "Panel/Label:visible_characters")
	animation.track_set_interpolation_type(trackIdx,Animation.INTERPOLATION_LINEAR)
	animation.value_track_set_update_mode(trackIdx, Animation.UPDATE_CONTINUOUS)
	animation.track_insert_key(trackIdx, 0, 0)
	animation.track_insert_key(trackIdx, animationLength, dialogue.length())
	
